Index: LMDZ5/trunk/arch/arch-AMD64_CICLAD.path
===================================================================
--- LMDZ5/trunk/arch/arch-AMD64_CICLAD.path	(revision 1627)
+++ LMDZ5/trunk/arch/arch-AMD64_CICLAD.path	(revision 1640)
@@ -7,4 +7,4 @@
 OASIS_INCDIR=$LMDGCM/../../prism/SX/build/lib/psmile.$couple
 OASIS_LIBDIR=$LMDGCM/../../prism/SX/lib
-INCA_LIBDIR=$LMDGCM/../INCA3/config/lib
-INCA_INCDIR=$LMDGCM/../INCA3/config/lib
+INCA_LIBDIR=$LMDGCM/../INCA/config/lib
+INCA_INCDIR=$LMDGCM/../INCA/config/lib
Index: LMDZ5/trunk/arch/arch-ES_MOON.path
===================================================================
--- LMDZ5/trunk/arch/arch-ES_MOON.path	(revision 1627)
+++ LMDZ5/trunk/arch/arch-ES_MOON.path	(revision 1640)
@@ -7,5 +7,5 @@
 OASIS_INCDIR=$LMDGCM/../../prism/ES/build/lib/psmile.$couple
 OASIS_LIBDIR=$LMDGCM/../../prism/ES/lib
-INCA_LIBDIR=$LMDGCM/../INCA3/config/lib
-INCA_INCDIR=$LMDGCM/../INCA3/config/lib
+INCA_LIBDIR=$LMDGCM/../INCA/config/lib
+INCA_INCDIR=$LMDGCM/../INCA/config/lib
 LIBPREFIX=sx
Index: LMDZ5/trunk/arch/arch-IA64_PLATINE.path
===================================================================
--- LMDZ5/trunk/arch/arch-IA64_PLATINE.path	(revision 1627)
+++ LMDZ5/trunk/arch/arch-IA64_PLATINE.path	(revision 1640)
@@ -7,5 +7,5 @@
 OASIS_INCDIR=$LMDGCM/../../prism/IA64/build/lib/psmile.$couple
 OASIS_LIBDIR=$LMDGCM/../../prism/IA64/lib
-INCA_LIBDIR=$LMDGCM/../INCA3/config/lib
-INCA_INCDIR=$LMDGCM/../INCA3/config/lib
+INCA_LIBDIR=$LMDGCM/../INCA/config/lib
+INCA_INCDIR=$LMDGCM/../INCA/config/lib
 
Index: LMDZ5/trunk/arch/arch-PW6_VARGAS.path
===================================================================
--- LMDZ5/trunk/arch/arch-PW6_VARGAS.path	(revision 1627)
+++ LMDZ5/trunk/arch/arch-PW6_VARGAS.path	(revision 1640)
@@ -7,4 +7,4 @@
 OASIS_INCDIR=$LMDGCM/../../prism/AIX6/build/lib/psmile.$couple
 OASIS_LIBDIR=$LMDGCM/../../prism/AIX6/lib
-INCA_LIBDIR=$LMDGCM/../INCA3/config/lib
-INCA_INCDIR=$LMDGCM/../INCA3/config/lib
+INCA_LIBDIR=$LMDGCM/../INCA/config/lib
+INCA_INCDIR=$LMDGCM/../INCA/config/lib
Index: LMDZ5/trunk/arch/arch-SX8_BRODIE.path
===================================================================
--- LMDZ5/trunk/arch/arch-SX8_BRODIE.path	(revision 1627)
+++ LMDZ5/trunk/arch/arch-SX8_BRODIE.path	(revision 1640)
@@ -7,4 +7,4 @@
 OASIS_INCDIR=$LMDGCM/../../prism/SX/build/lib/psmile.$couple
 OASIS_LIBDIR=$LMDGCM/../../prism/SX/lib
-INCA_LIBDIR=$LMDGCM/../INCA3/config/lib
-INCA_INCDIR=$LMDGCM/../INCA3/config/lib
+INCA_LIBDIR=$LMDGCM/../INCA/config/lib
+INCA_INCDIR=$LMDGCM/../INCA/config/lib
Index: LMDZ5/trunk/arch/arch-SX8_MERCURE.path
===================================================================
--- LMDZ5/trunk/arch/arch-SX8_MERCURE.path	(revision 1627)
+++ LMDZ5/trunk/arch/arch-SX8_MERCURE.path	(revision 1640)
@@ -7,4 +7,4 @@
 OASIS_INCDIR=$LMDGCM/../../prism/SX/build/lib/psmile.$couple
 OASIS_LIBDIR=$LMDGCM/../../prism/SX/lib
-INCA_LIBDIR=$LMDGCM/../INCA3/config/lib
-INCA_INCDIR=$LMDGCM/../INCA3/config/lib
+INCA_LIBDIR=$LMDGCM/../INCA/config/lib
+INCA_INCDIR=$LMDGCM/../INCA/config/lib
Index: LMDZ5/trunk/arch/arch-SX9_MERCURE.path
===================================================================
--- LMDZ5/trunk/arch/arch-SX9_MERCURE.path	(revision 1627)
+++ LMDZ5/trunk/arch/arch-SX9_MERCURE.path	(revision 1640)
@@ -7,4 +7,4 @@
 OASIS_INCDIR=$LMDGCM/../../prism/SX/build/lib/psmile.$couple
 OASIS_LIBDIR=$LMDGCM/../../prism/SX/lib
-INCA_LIBDIR=$LMDGCM/../INCA3/config/lib
-INCA_INCDIR=$LMDGCM/../INCA3/config/lib
+INCA_LIBDIR=$LMDGCM/../INCA/config/lib
+INCA_INCDIR=$LMDGCM/../INCA/config/lib
Index: LMDZ5/trunk/arch/arch-X64_CURIE.path
===================================================================
--- LMDZ5/trunk/arch/arch-X64_CURIE.path	(revision 1627)
+++ LMDZ5/trunk/arch/arch-X64_CURIE.path	(revision 1640)
@@ -7,5 +7,5 @@
 OASIS_INCDIR=$LMDGCM/../../prism/X64/build/lib/psmile.$couple
 OASIS_LIBDIR=$LMDGCM/../../prism/X64/lib
-INCA_LIBDIR=$LMDGCM/../INCA3/config/lib
-INCA_INCDIR=$LMDGCM/../INCA3/config/lib
+INCA_LIBDIR=$LMDGCM/../INCA/config/lib
+INCA_INCDIR=$LMDGCM/../INCA/config/lib
 
Index: LMDZ5/trunk/arch/arch-X64_TITANE.path
===================================================================
--- LMDZ5/trunk/arch/arch-X64_TITANE.path	(revision 1627)
+++ LMDZ5/trunk/arch/arch-X64_TITANE.path	(revision 1640)
@@ -7,5 +7,5 @@
 OASIS_INCDIR=$LMDGCM/../../prism/X64/build/lib/psmile.$couple
 OASIS_LIBDIR=$LMDGCM/../../prism/X64/lib
-INCA_LIBDIR=$LMDGCM/../INCA3/config/lib
-INCA_INCDIR=$LMDGCM/../INCA3/config/lib
+INCA_LIBDIR=$LMDGCM/../INCA/config/lib
+INCA_INCDIR=$LMDGCM/../INCA/config/lib
 