Index: LMDZ5/branches/testing/libf/phylmd/conf_phys.F90
===================================================================
--- LMDZ5/branches/testing/libf/phylmd/conf_phys.F90	(revision 1663)
+++ LMDZ5/branches/testing/libf/phylmd/conf_phys.F90	(revision 1664)
@@ -37,4 +37,5 @@
 
  include "thermcell.h"
+ include "iniprint.h"
 
 !IM : on inclut/initialise les taux de CH4, N2O, CFC11 et CFC12
@@ -101,5 +102,4 @@
 
 ! Local
-  integer              :: numout = 6
   real                 :: zzz
 
@@ -199,7 +199,7 @@
   call getin('OCEAN', ocean_omp)
   IF (ocean_omp /= 'yyyyyy') THEN
-     WRITE(numout,*)'ERROR!! Old variable name OCEAN used in parmeter file.'
-     WRITE(numout,*)'Variable OCEAN has been replaced by the variable type_ocean.'
-     WRITE(numout,*)'You have to update your parameter file physiq.def to succed running'
+     WRITE(lunout,*)'ERROR!! Old variable name OCEAN used in parmeter file.'
+     WRITE(lunout,*)'Variable OCEAN has been replaced by the variable type_ocean.'
+     WRITE(lunout,*)'You have to update your parameter file physiq.def to succed running'
      CALL abort_gcm('conf_phys','Variable OCEAN no longer existing, use variable name type_ocean',1)
   END IF
@@ -1351,5 +1351,5 @@
 !Config Help =
 !
-  ecrit_tra_omp = 30.
+  ecrit_tra_omp = 0.
   call getin('ecrit_tra',ecrit_tra_omp)
 !
@@ -1696,5 +1696,5 @@
 ! Test of coherence between type_ocean and version_ocean
     IF (type_ocean=='couple' .AND. (version_ocean/='opa8' .AND. version_ocean/='nemo') ) THEN
-       WRITE(numout,*)' ERROR version_ocean=',version_ocean,' not valid in coupled configuration'
+       WRITE(lunout,*)' ERROR version_ocean=',version_ocean,' not valid in coupled configuration'
        CALL abort_gcm('conf_phys','version_ocean not valid',1)
     END IF
@@ -1703,5 +1703,5 @@
        version_ocean='sicOBS'
     ELSE IF (type_ocean=='slab' .AND. version_ocean/='sicOBS') THEN
-       WRITE(numout,*)' ERROR version_ocean=',version_ocean,' not valid with slab ocean'
+       WRITE(lunout,*)' ERROR version_ocean=',version_ocean,' not valid with slab ocean'
        CALL abort_gcm('conf_phys','version_ocean not valid',1)
     END IF
@@ -1717,137 +1717,137 @@
 !$OMP MASTER
 
-  write(numout,*)' ##############################################'
-  write(numout,*)' Configuration des parametres de la physique: '
-  write(numout,*)' Type ocean = ', type_ocean
-  write(numout,*)' Version ocean = ', version_ocean
-  write(numout,*)' Config veget = ', ok_veget
-  write(numout,*)' Sortie journaliere = ', ok_journe
-  write(numout,*)' Sortie haute frequence = ', ok_hf
-  write(numout,*)' Sortie mensuelle = ', ok_mensuel
-  write(numout,*)' Sortie instantanee = ', ok_instan
-  write(numout,*)' Frequence appel simulateur ISCCP, freq_ISCCP =', freq_ISCCP
-  write(numout,*)' Frequence appel simulateur ISCCP, ecrit_ISCCP =', ecrit_ISCCP
-  write(numout,*)' Frequence appel simulateur COSP, freq_COSP =', freq_COSP
-  write(numout,*)' Sortie bilan d''energie, ip_ebil_phy =', ip_ebil_phy
-  write(numout,*)' Excentricite = ',R_ecc
-  write(numout,*)' Equinoxe = ',R_peri
-  write(numout,*)' Inclinaison =',R_incl
-  write(numout,*)' Constante solaire =',solaire
-  write(numout,*)' co2_ppm =',co2_ppm
-  write(numout,*)' RCO2_act = ',RCO2_act
-  write(numout,*)' CH4_ppb =',CH4_ppb,' RCH4_act = ',RCH4_act
-  write(numout,*)' N2O_ppb =',N2O_ppb,' RN2O_act=  ',RN2O_act
-  write(numout,*)' CFC11_ppt=',CFC11_ppt,' RCFC11_act=  ',RCFC11_act
-  write(numout,*)' CFC12_ppt=',CFC12_ppt,' RCFC12_act=  ',RCFC12_act
-  write(numout,*)' RCO2_per = ',RCO2_per,' RCH4_per = ', RCH4_per
-  write(numout,*)' RN2O_per = ',RN2O_per,' RCFC11_per = ', RCFC11_per
-  write(numout,*)' RCFC12_per = ',RCFC12_per
-  write(numout,*)' cvl_corr=', cvl_corr
-  write(numout,*)'ok_lic_melt=', ok_lic_melt
-  write(numout,*)'cycle_diurne=',cycle_diurne
-  write(numout,*)'soil_model=',soil_model
-  write(numout,*)'new_oliq=',new_oliq
-  write(numout,*)'ok_orodr=',ok_orodr
-  write(numout,*)'ok_orolf=',ok_orolf
-  write(numout,*)'ok_limitvrai=',ok_limitvrai
-  write(numout,*)'nbapp_rad=',nbapp_rad
-  write(numout,*)'iflag_con=',iflag_con
-  write(numout,*)' epmax = ', epmax
-  write(numout,*)' ok_adj_ema = ', ok_adj_ema
-  write(numout,*)' iflag_clw = ', iflag_clw
-  write(numout,*)' cld_lc_lsc = ', cld_lc_lsc
-  write(numout,*)' cld_lc_con = ', cld_lc_con
-  write(numout,*)' cld_tau_lsc = ', cld_tau_lsc
-  write(numout,*)' cld_tau_con = ', cld_tau_con
-  write(numout,*)' ffallv_lsc = ', ffallv_lsc
-  write(numout,*)' ffallv_con = ', ffallv_con
-  write(numout,*)' coef_eva = ', coef_eva
-  write(numout,*)' reevap_ice = ', reevap_ice
-  write(numout,*)' iflag_pdf = ', iflag_pdf
-  write(numout,*)' iflag_cldcon = ', iflag_cldcon
-  write(numout,*)' iflag_radia = ', iflag_radia
-  write(numout,*)' iflag_rrtm = ', iflag_rrtm
-  write(numout,*)' iflag_ratqs = ', iflag_ratqs
-  write(numout,*)' seuil_inversion = ', seuil_inversion
-  write(numout,*)' fact_cldcon = ', fact_cldcon
-  write(numout,*)' facttemps = ', facttemps
-  write(numout,*)' ok_newmicro = ',ok_newmicro 
-  write(numout,*)' ratqsbas = ',ratqsbas 
-  write(numout,*)' ratqshaut = ',ratqshaut 
-  write(numout,*)' tau_ratqs = ',tau_ratqs 
-  write(numout,*)' top_height = ',top_height 
-  write(numout,*)' rad_froid = ',rad_froid
-  write(numout,*)' rad_chau1 = ',rad_chau1
-  write(numout,*)' rad_chau2 = ',rad_chau2
-  write(numout,*)' t_glace_min = ',t_glace_min
-  write(numout,*)' t_glace_max = ',t_glace_max
-  write(numout,*)' rei_min = ',rei_min
-  write(numout,*)' rei_max = ',rei_max
-  write(numout,*)' overlap = ',overlap 
-  write(numout,*)' cdmmax = ',cdmmax 
-  write(numout,*)' cdhmax = ',cdhmax 
-  write(numout,*)' ksta = ',ksta 
-  write(numout,*)' ksta_ter = ',ksta_ter 
-  write(numout,*)' ok_kzmin = ',ok_kzmin 
-  write(numout,*)' fmagic = ',fmagic
-  write(numout,*)' pmagic = ',pmagic
-  write(numout,*)' ok_ade = ',ok_ade
-  write(numout,*)' ok_aie = ',ok_aie
-  write(numout,*)' aerosol_couple = ', aerosol_couple
-  write(numout,*)' flag_aerosol = ', flag_aerosol
-  write(numout,*)' new_aod = ', new_aod
-  write(numout,*)' aer_type = ',aer_type
-  write(numout,*)' bl95_b0 = ',bl95_b0
-  write(numout,*)' bl95_b1 = ',bl95_b1
-  write(numout,*)' lev_histhf = ',lev_histhf 
-  write(numout,*)' lev_histday = ',lev_histday 
-  write(numout,*)' lev_histmth = ',lev_histmth 
-  write(numout,*)' lev_histins = ',lev_histins
-  write(numout,*)' lev_histLES = ',lev_histLES
-  write(numout,*)' lev_histdayNMC = ',lev_histdayNMC
-  write(numout,*)' ok_histNMC = ',ok_histNMC
-  write(numout,*)' freq_outNMC = ',freq_outNMC
-  write(numout,*)' freq_calNMC = ',freq_calNMC
-  write(numout,*)' iflag_pbl = ', iflag_pbl
-  write(numout,*)' iflag_thermals = ', iflag_thermals
-  write(numout,*)' iflag_thermals_ed = ', iflag_thermals_ed
-  write(numout,*)' iflag_thermals_optflux = ', iflag_thermals_optflux
-  write(numout,*)' iflag_clos = ', iflag_clos
-  write(numout,*)' type_run = ',type_run 
-  write(numout,*)' ok_isccp = ',ok_isccp 
-  write(numout,*)' ok_cosp = ',ok_cosp
-  write(numout,*)' ok_mensuelCOSP = ',ok_mensuelCOSP
-  write(numout,*)' ok_journeCOSP = ',ok_journeCOSP
-  write(numout,*)' ok_hfCOSP =',ok_hfCOSP
-  write(numout,*)' solarlong0 = ', solarlong0
-  write(numout,*)' qsol0 = ', qsol0
-  write(numout,*)' inertie_sol = ', inertie_sol
-  write(numout,*)' inertie_ice = ', inertie_ice
-  write(numout,*)' inertie_sno = ', inertie_sno
-  write(numout,*)' f_cdrag_ter = ',f_cdrag_ter
-  write(numout,*)' f_cdrag_oce = ',f_cdrag_oce
-  write(numout,*)' f_rugoro = ',f_rugoro
-  write(numout,*)' supcrit1 = ', supcrit1
-  write(numout,*)' supcrit2 = ', supcrit2
-  write(numout,*)' iflag_mix = ', iflag_mix
-  write(numout,*)' scut = ', scut
-  write(numout,*)' qqa1 = ', qqa1
-  write(numout,*)' qqa2 = ', qqa2
-  write(numout,*)' gammas = ', gammas
-  write(numout,*)' Fmax = ', Fmax
-  write(numout,*)' alphas = ', alphas
-  write(numout,*)' iflag_wake = ', iflag_wake
-  write(numout,*)' alp_offset = ', alp_offset
-
-  write(numout,*)' lonmin lonmax latmin latmax bilKP_ins =',&
+  write(lunout,*)' ##############################################'
+  write(lunout,*)' Configuration des parametres de la physique: '
+  write(lunout,*)' Type ocean = ', type_ocean
+  write(lunout,*)' Version ocean = ', version_ocean
+  write(lunout,*)' Config veget = ', ok_veget
+  write(lunout,*)' Sortie journaliere = ', ok_journe
+  write(lunout,*)' Sortie haute frequence = ', ok_hf
+  write(lunout,*)' Sortie mensuelle = ', ok_mensuel
+  write(lunout,*)' Sortie instantanee = ', ok_instan
+  write(lunout,*)' Frequence appel simulateur ISCCP, freq_ISCCP =', freq_ISCCP
+  write(lunout,*)' Frequence appel simulateur ISCCP, ecrit_ISCCP =', ecrit_ISCCP
+  write(lunout,*)' Frequence appel simulateur COSP, freq_COSP =', freq_COSP
+  write(lunout,*)' Sortie bilan d''energie, ip_ebil_phy =', ip_ebil_phy
+  write(lunout,*)' Excentricite = ',R_ecc
+  write(lunout,*)' Equinoxe = ',R_peri
+  write(lunout,*)' Inclinaison =',R_incl
+  write(lunout,*)' Constante solaire =',solaire
+  write(lunout,*)' co2_ppm =',co2_ppm
+  write(lunout,*)' RCO2_act = ',RCO2_act
+  write(lunout,*)' CH4_ppb =',CH4_ppb,' RCH4_act = ',RCH4_act
+  write(lunout,*)' N2O_ppb =',N2O_ppb,' RN2O_act=  ',RN2O_act
+  write(lunout,*)' CFC11_ppt=',CFC11_ppt,' RCFC11_act=  ',RCFC11_act
+  write(lunout,*)' CFC12_ppt=',CFC12_ppt,' RCFC12_act=  ',RCFC12_act
+  write(lunout,*)' RCO2_per = ',RCO2_per,' RCH4_per = ', RCH4_per
+  write(lunout,*)' RN2O_per = ',RN2O_per,' RCFC11_per = ', RCFC11_per
+  write(lunout,*)' RCFC12_per = ',RCFC12_per
+  write(lunout,*)' cvl_corr=', cvl_corr
+  write(lunout,*)'ok_lic_melt=', ok_lic_melt
+  write(lunout,*)'cycle_diurne=',cycle_diurne
+  write(lunout,*)'soil_model=',soil_model
+  write(lunout,*)'new_oliq=',new_oliq
+  write(lunout,*)'ok_orodr=',ok_orodr
+  write(lunout,*)'ok_orolf=',ok_orolf
+  write(lunout,*)'ok_limitvrai=',ok_limitvrai
+  write(lunout,*)'nbapp_rad=',nbapp_rad
+  write(lunout,*)'iflag_con=',iflag_con
+  write(lunout,*)' epmax = ', epmax
+  write(lunout,*)' ok_adj_ema = ', ok_adj_ema
+  write(lunout,*)' iflag_clw = ', iflag_clw
+  write(lunout,*)' cld_lc_lsc = ', cld_lc_lsc
+  write(lunout,*)' cld_lc_con = ', cld_lc_con
+  write(lunout,*)' cld_tau_lsc = ', cld_tau_lsc
+  write(lunout,*)' cld_tau_con = ', cld_tau_con
+  write(lunout,*)' ffallv_lsc = ', ffallv_lsc
+  write(lunout,*)' ffallv_con = ', ffallv_con
+  write(lunout,*)' coef_eva = ', coef_eva
+  write(lunout,*)' reevap_ice = ', reevap_ice
+  write(lunout,*)' iflag_pdf = ', iflag_pdf
+  write(lunout,*)' iflag_cldcon = ', iflag_cldcon
+  write(lunout,*)' iflag_radia = ', iflag_radia
+  write(lunout,*)' iflag_rrtm = ', iflag_rrtm
+  write(lunout,*)' iflag_ratqs = ', iflag_ratqs
+  write(lunout,*)' seuil_inversion = ', seuil_inversion
+  write(lunout,*)' fact_cldcon = ', fact_cldcon
+  write(lunout,*)' facttemps = ', facttemps
+  write(lunout,*)' ok_newmicro = ',ok_newmicro 
+  write(lunout,*)' ratqsbas = ',ratqsbas 
+  write(lunout,*)' ratqshaut = ',ratqshaut 
+  write(lunout,*)' tau_ratqs = ',tau_ratqs 
+  write(lunout,*)' top_height = ',top_height 
+  write(lunout,*)' rad_froid = ',rad_froid
+  write(lunout,*)' rad_chau1 = ',rad_chau1
+  write(lunout,*)' rad_chau2 = ',rad_chau2
+  write(lunout,*)' t_glace_min = ',t_glace_min
+  write(lunout,*)' t_glace_max = ',t_glace_max
+  write(lunout,*)' rei_min = ',rei_min
+  write(lunout,*)' rei_max = ',rei_max
+  write(lunout,*)' overlap = ',overlap 
+  write(lunout,*)' cdmmax = ',cdmmax 
+  write(lunout,*)' cdhmax = ',cdhmax 
+  write(lunout,*)' ksta = ',ksta 
+  write(lunout,*)' ksta_ter = ',ksta_ter 
+  write(lunout,*)' ok_kzmin = ',ok_kzmin 
+  write(lunout,*)' fmagic = ',fmagic
+  write(lunout,*)' pmagic = ',pmagic
+  write(lunout,*)' ok_ade = ',ok_ade
+  write(lunout,*)' ok_aie = ',ok_aie
+  write(lunout,*)' aerosol_couple = ', aerosol_couple
+  write(lunout,*)' flag_aerosol = ', flag_aerosol
+  write(lunout,*)' new_aod = ', new_aod
+  write(lunout,*)' aer_type = ',aer_type
+  write(lunout,*)' bl95_b0 = ',bl95_b0
+  write(lunout,*)' bl95_b1 = ',bl95_b1
+  write(lunout,*)' lev_histhf = ',lev_histhf 
+  write(lunout,*)' lev_histday = ',lev_histday 
+  write(lunout,*)' lev_histmth = ',lev_histmth 
+  write(lunout,*)' lev_histins = ',lev_histins
+  write(lunout,*)' lev_histLES = ',lev_histLES
+  write(lunout,*)' lev_histdayNMC = ',lev_histdayNMC
+  write(lunout,*)' ok_histNMC = ',ok_histNMC
+  write(lunout,*)' freq_outNMC = ',freq_outNMC
+  write(lunout,*)' freq_calNMC = ',freq_calNMC
+  write(lunout,*)' iflag_pbl = ', iflag_pbl
+  write(lunout,*)' iflag_thermals = ', iflag_thermals
+  write(lunout,*)' iflag_thermals_ed = ', iflag_thermals_ed
+  write(lunout,*)' iflag_thermals_optflux = ', iflag_thermals_optflux
+  write(lunout,*)' iflag_clos = ', iflag_clos
+  write(lunout,*)' type_run = ',type_run 
+  write(lunout,*)' ok_isccp = ',ok_isccp 
+  write(lunout,*)' ok_cosp = ',ok_cosp
+  write(lunout,*)' ok_mensuelCOSP = ',ok_mensuelCOSP
+  write(lunout,*)' ok_journeCOSP = ',ok_journeCOSP
+  write(lunout,*)' ok_hfCOSP =',ok_hfCOSP
+  write(lunout,*)' solarlong0 = ', solarlong0
+  write(lunout,*)' qsol0 = ', qsol0
+  write(lunout,*)' inertie_sol = ', inertie_sol
+  write(lunout,*)' inertie_ice = ', inertie_ice
+  write(lunout,*)' inertie_sno = ', inertie_sno
+  write(lunout,*)' f_cdrag_ter = ',f_cdrag_ter
+  write(lunout,*)' f_cdrag_oce = ',f_cdrag_oce
+  write(lunout,*)' f_rugoro = ',f_rugoro
+  write(lunout,*)' supcrit1 = ', supcrit1
+  write(lunout,*)' supcrit2 = ', supcrit2
+  write(lunout,*)' iflag_mix = ', iflag_mix
+  write(lunout,*)' scut = ', scut
+  write(lunout,*)' qqa1 = ', qqa1
+  write(lunout,*)' qqa2 = ', qqa2
+  write(lunout,*)' gammas = ', gammas
+  write(lunout,*)' Fmax = ', Fmax
+  write(lunout,*)' alphas = ', alphas
+  write(lunout,*)' iflag_wake = ', iflag_wake
+  write(lunout,*)' alp_offset = ', alp_offset
+
+  write(lunout,*)' lonmin lonmax latmin latmax bilKP_ins =',&
    lonmin_ins, lonmax_ins, latmin_ins, latmax_ins
-  write(numout,*)' ecrit_ hf, ins, day, mth, reg, tra, ISCCP, LES',&
+  write(lunout,*)' ecrit_ hf, ins, day, mth, reg, tra, ISCCP, LES',&
    ecrit_hf, ecrit_ins, ecrit_day, ecrit_mth, ecrit_reg, ecrit_tra, ecrit_ISCCP, ecrit_LES
 
-  write(numout,*) 'ok_strato = ', ok_strato
-  write(numout,*) 'ok_hines = ',  ok_hines
-  write(numout,*) 'read_climoz = ', read_climoz
-  write(numout,*) 'carbon_cycle_tr = ', carbon_cycle_tr
-  write(numout,*) 'carbon_cycle_cpl = ', carbon_cycle_cpl
+  write(lunout,*) 'ok_strato = ', ok_strato
+  write(lunout,*) 'ok_hines = ',  ok_hines
+  write(lunout,*) 'read_climoz = ', read_climoz
+  write(lunout,*) 'carbon_cycle_tr = ', carbon_cycle_tr
+  write(lunout,*) 'carbon_cycle_cpl = ', carbon_cycle_cpl
   
 !$OMP END MASTER
@@ -1866,5 +1866,5 @@
    use IOIPSL
    implicit none
-
+   include "iniprint.h"
 ! Configuration de l'interace atm/surf
 !
@@ -1874,6 +1874,4 @@
   REAL,SAVE     :: tau_calv_omp
 
-! Local
-  integer              :: numout = 6
 !
 !Config Key  = tau_calv
@@ -1891,7 +1889,7 @@
   
 !$OMP MASTER
-  write(numout,*)' ##############################################'
-  WRITE(numout,*)' Configuration de l''interface atm/surfaces  : '
-  WRITE(numout,*)' tau_calv = ',tau_calv
+  write(lunout,*)' ##############################################'
+  WRITE(lunout,*)' Configuration de l''interface atm/surfaces  : '
+  WRITE(lunout,*)' tau_calv = ',tau_calv
 !$OMP END MASTER
 